<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('profiles', function (Blueprint $table) {
            $table->string('marital_status')->nullable()->after('gender');
            $table->string('ktp')->nullable()->after('image');
            $table->string('image_verif')->nullable()->after('ktp');
            $table->integer('kyc')->default(0)->nullable()->after('user_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('profiles', function (Blueprint $table) {
            $table->dropColumn('marital_status');
            $table->dropColumn('ktp');
            $table->dropColumn('kyc');
            $table->dropColumn('image_verif');
        });
    }
};
